[问题]安全更新无法安装,linux-image-2.6.24-19-generic

为当前最终发行版之前的所有版本提供支持
kecai_cale
帖子: 16
注册时间: 2008-08-07 14:19
送出感谢: 0
接收感谢: 0

[问题]安全更新无法安装,linux-image-2.6.24-19-generic

#1

帖子 kecai_cale » 2008-08-08 17:29

今天更新系统,140余个更新,就剩下一个,大家看看这个是什么问题阿!
附件
Screenshot.png
就是这个
Screenshot-1.png
错误信息
kecai_cale
帖子: 16
注册时间: 2008-08-07 14:19
送出感谢: 0
接收感谢: 0

#2

帖子 kecai_cale » 2008-08-09 7:29

大家帮忙看看阿!有遇到过这个情况的没?
dewafer
帖子: 58
注册时间: 2007-05-28 16:34
送出感谢: 0
接收感谢: 0

#3

帖子 dewafer » 2008-08-09 8:49

不是已经.20了么?
uranyang
帖子: 92
注册时间: 2008-08-06 23:30
送出感谢: 0
接收感谢: 0

#4

帖子 uranyang » 2008-08-09 9:42

升级后肯定为20了,还是安装19为何。
gzjoekeny
帖子: 34
注册时间: 2008-05-08 14:37
送出感谢: 0
接收感谢: 0

#5

帖子 gzjoekeny » 2008-08-09 10:11

你是在windows的基础上安装ubuntu的吧?前辈指导,哪个文件有问题,就删除哪个文件。
luokun34
帖子: 1
注册时间: 2008-09-30 16:07
送出感谢: 0
接收感谢: 0

Re: [问题]安全更新无法安装,linux-image-2.6.24-19-generic

#6

帖子 luokun34 » 2008-09-30 16:32

我也是在windows上安装的obuntu,同样出现了搂住的问题,不知道怎么办哦
:em20
头像
dsj
帖子: 810
注册时间: 2008-08-21 20:26
送出感谢: 0
接收感谢: 0
联系:

Re: [问题]安全更新无法安装,linux-image-2.6.24-19-generic

#7

帖子 dsj » 2008-09-30 16:42

viewtopic.php?p=859919

1. 编辑 /var/lib/dpkg/status 文件, 找个列表的 broken 包, 在那个包上面删除这个信息.
2. mv /var/lib/dpkg/info /var/lib/dpkg/info_old
3. mkdir /var/lib/dpkg/info
4. apt-get update, apt-get -f install

其中:
1.sudo nano /var/lib/dpkg/status
找到你的包,修改Status为:
Status: install ok installed
保存。
软件交流群:17264279
图书分享群:18246379
互动社区:http://www.ubuntuchina.com/
costplus
帖子: 4
注册时间: 2006-11-21 23:34
送出感谢: 0
接收感谢: 0

Re: [问题]安全更新无法安装,linux-image-2.6.24-19-generic

#8

帖子 costplus » 2008-10-22 1:06

参考这里:http://www.linuxdiyf.com/viewarticle.php?id=105934
前些时间更新linux-image-2.6.24-21-generic,出现如下错误信息提示:
E: /var/cache/apt/archives/linux-image-2.6.24-21-generic_2.6.24-21.42_i386.deb: 无法在安装新的版本前,为“./boot/vmlinuz-2.6.24-21-generic”做一个符号链接备份
因为之前在更新linux-image-2.6.24-19-generi时,也有类似错误信息提示,当时是这样处理的,当然也是在论坛里得到的方法,并非本人的原创做法,但是的确有效果:
在终端输入如下命令,即可成功更新linux-image-2.6.24-19-generic
sudo rm -fv /boot/initrd.img-2.6.24*.bak
sudo rm -fv /boot/vmlinuz-2.6.24-19-generic
sudo rm -fv /boot/initrd.img-2.6.24-19-generic
sudo rm -fv /boot/config-2.6.24-19-generic
sudo rm -fv /boot//abi-2.6.24-19-generic
sudo rm -fv /boot/System.map-2.6.24-19-generic
于是可以参照上面的做法更新linux-image-2.6.24-21-generic,即在终端输入:
sudo rm -fv /boot/initrd.img-2.6.24*.bak
sudo rm -fv /boot/vmlinuz-2.6.24-21-generic
sudo rm -fv /boot/initrd.img-2.6.24-21-generic
sudo rm -fv /boot/config-2.6.24-21-generic
sudo rm -fv /boot//abi-2.6.24-21-generic
sudo rm -fv /boot/System.map-2.6.24-21-generic
果然见效,立即更新成功!看来这是UB中文版更新时的一点小BUG,还希望UB的高手们尽早处理。
头像
junesty
帖子: 85
注册时间: 2008-10-17 13:13
送出感谢: 0
接收感谢: 0
联系:

Re: [问题]安全更新无法安装,linux-image-2.6.24-19-generic

#9

帖子 junesty » 2008-10-22 5:28

我要回复,我也有这个问题
来如流水兮逝如风,不知何处来兮何处终
OS:Ubuntu 8.04(WUBI)
AMD Athlon64 5000+
2G DDR2
NG8600GT
NF570S

PC蛋蛋争取NOTEBOOK
wqxyx
帖子: 16
注册时间: 2008-10-30 8:09
送出感谢: 0
接收感谢: 0

Re: [问题]安全更新无法安装,linux-image-2.6.24-19-generic

#10

帖子 wqxyx » 2008-11-01 14:19

dsj 写了:viewtopic.php?p=859919

1. 编辑 /var/lib/dpkg/status 文件, 找个列表的 broken 包, 在那个包上面删除这个信息.
2. mv /var/lib/dpkg/info /var/lib/dpkg/info_old
3. mkdir /var/lib/dpkg/info
4. apt-get update, apt-get -f install

其中:
1.sudo nano /var/lib/dpkg/status
找到你的包,修改Status为:
Status: install ok installed
保存。
我的8.10用此方法不行。
我看了状态是已安装,但版本号是7。14的,而要更新的这个是7.15的。我还用上面的方法也不行。
哪一位帮我看一下啊。
我是在XP下用WUBI装8.10的,也是更新到这个包出问题。
我是在终端中一句一句输入以下内容的:
sudo rm -fv /boot/initrd.img-2.6.27*.bak
sudo rm -fv /boot/vmlinuz-2.6.27-7-generic
sudo rm -fv /boot/initrd.img-2.6.27-7-generic
sudo rm -fv /boot/config-2.6.27-7-generic
sudo rm -fv /boot//abi-2.6.27-7-generic
sudo rm -fv /boot/System.map-2.6.27-7-generic
samjianghu
帖子: 3
注册时间: 2008-08-28 13:51
送出感谢: 0
接收感谢: 0

Re: [问题]安全更新无法安装,linux-image-2.6.24-19-generic

#11

帖子 samjianghu » 2008-11-02 14:35

你应该把系统安装在了fat32格式的硬盘中,换成nifs就可以了
fengmk2
帖子: 4
注册时间: 2008-07-05 10:38
送出感谢: 0
接收感谢: 0

Re: [问题]安全更新无法安装,linux-image-2.6.24-19-generic

#12

帖子 fengmk2 » 2008-11-03 0:53

我照上面这样做就更新成功了。。。

已删除 “/boot/initrd.img-2.6.27-7-generic”
mk2@ubuntu:~$ sudo rm -fv /boot/vmlinuz-2.6.27-7-generic
已删除 “/boot/vmlinuz-2.6.27-7-generic”
mk2@ubuntu:~$ sudo rm -fv /boot/abi-2.6.27-7-generic
已删除 “/boot/abi-2.6.27-7-generic”
mk2@ubuntu:~$ sudo rm -fv /boot/System.map-2.6.27-7-generic
已删除 “/boot/System.map-2.6.27-7-generic”
mk2@ubuntu:~$ sudo rm -fv /boot/config-2.6.27-7-generic
已删除 “/boot/config-2.6.27-7-generic”
mk2@ubuntu:~$ sudo rm -fv /boot/vmcoreinfo-2.6.27-7-generic
已删除 “/boot/vmcoreinfo-2.6.27-7-generic”
wqxyx
帖子: 16
注册时间: 2008-10-30 8:09
送出感谢: 0
接收感谢: 0

Re: [问题]安全更新无法安装,linux-image-2.6.24-19-generic

#13

帖子 wqxyx » 2008-11-03 10:29

samjianghu 写了:你应该把系统安装在了fat32格式的硬盘中,换成nifs就可以了
我能否直接在XP系统里将FAT32改成NTFS格式?这样换会不会影响UBUNTU的系统?
fengmk2
帖子: 4
注册时间: 2008-07-05 10:38
送出感谢: 0
接收感谢: 0

Re: [问题]安全更新无法安装,linux-image-2.6.24-19-generic

#14

帖子 fengmk2 » 2008-11-03 11:09

wqxyx 写了:
samjianghu 写了:你应该把系统安装在了fat32格式的硬盘中,换成nifs就可以了
我能否直接在XP系统里将FAT32改成NTFS格式?这样换会不会影响UBUNTU的系统?
我的也是fat32上装的,最后按上面的方式,可以更新了。
wqxyx
帖子: 16
注册时间: 2008-10-30 8:09
送出感谢: 0
接收感谢: 0

Re: [问题]安全更新无法安装,linux-image-2.6.24-19-generic

#15

帖子 wqxyx » 2008-11-03 11:12

谢谢楼上的哥们,下班后回去试试,我上次就是少那一句,最后只有重装系统,有点怕怕。
回复

回到 “老旧版本支持”